import 'package:flutter/material.dart';

import '../../nb_utils.dart';

// Returns AppBar widget
class AppBarWidget extends PreferredSize {
  final String title;
  final List<Widget> actions;
  final Color color;
  final bool center;
  final Color textColor;
  final int textSize;
  final bool showBack;
  final Color shadowColor;
  final double elevation;
  final Widget backWidget;

  AppBarWidget(
    this.title, {
    this.actions,
    this.color,
    this.center,
    this.textColor,
    this.textSize,
    this.showBack,
    this.shadowColor,
    this.elevation,
    this.backWidget,
  });

  @override
  Widget build(BuildContext context) {
    return AppBar(
      title: Text(title.validate(),
          style: boldTextStyle(
              color: textColor ?? textPrimaryColorGlobal,
              size: textSize ?? 20)),
      centerTitle: center,
      automaticallyImplyLeading: showBack,
      backgroundColor: color ?? appBarBackgroundColorGlobal,
      leading: showBack.validate()
          ? (backWidget ??
              BackButton(color: textColor ?? textPrimaryColorGlobal))
          : null,
      shadowColor: shadowColor,
      elevation: elevation ?? defaultAppBarElevation,
      actions: actions,
    );
  }
}
