import 'package:flutter/material.dart';
import 'package:nb_utils/nb_utils.dart';

/// Circular Loader Widget
class Loader extends StatefulWidget {
  static String tag = '/Loader';
  final Color color;

  Loader({this.color});

  @override
  LoaderState createState() => LoaderState();
}

class LoaderState extends State<Loader> {
  @override
  void initState() {
    super.initState();
    init();
  }

  init() async {
    //
  }

  @override
  void setState(fn) {
    if (mounted) super.setState(fn);
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.all(10),
      height: 40,
      width: 40,
      decoration: BoxDecoration(
        color: widget.color ?? defaultLoaderBgColorGlobal,
        shape: BoxShape.circle,
        boxShadow: defaultBoxShadow(),
      ),
      //Progress color uses accentColor from ThemeData
      child: CircularProgressIndicator(strokeWidth: 2),
    ).center();
  }
}
